path_toolbox='/Users/drea/Documents/MATLAB/tapas_v3/HGF'; %% Modify to the path of the HGF Toolbox
addpath(genpath(path_toolbox));

numberBlocks = 9;
probabilityAdvice=[0.2,0.85,0.9,0.6,0.55,0.75,0.2,0.85,0.9];
nTrials = 21;
meanProb=[tapas_logit(probabilityAdvice(1),1) tapas_logit(probabilityAdvice(2),1)...
    tapas_logit(probabilityAdvice(3),1),tapas_logit(probabilityAdvice(4),1)...
    tapas_logit(probabilityAdvice(5),1),tapas_logit(probabilityAdvice(6),1)...
    tapas_logit(probabilityAdvice(7),1),tapas_logit(probabilityAdvice(8),1)...
    tapas_logit(probabilityAdvice(9),1)];
u = [];
for iStages=1:numberBlocks
    inputVector=gen_design(meanProb(iStages), nTrials - 1);
    u=[u;inputVector'];
end

% Simulate Regular HGF: varying omega at the second level, third level
% sim_Learner(u,'omega_2ndlevel',1);
% sim_Learner(u,'omega_3rdlevel',1);
%
% % Simulate Regular HGF with Constant Drift (i.e., HGF with Forgetting)
sim_Learner(u,'rho_2ndlevel',1);
%
% % Simulate AR1 HGF: varying omega at the second level, third level
% sim_Learner(u,'omega_2ndlevel',2);
% sim_Learner(u,'omega_3rdlevel',2);
%
% % Simulate AR1 HGF with Delusional Belief (cf. Models of Schizophrenia)
% % on/off
% sim_Learner(u,'phi_2ndlevel_biasedPrior',2);
%
% % Simulate AR1 HGF with Growing Uncertainty (cf. Models of Prodromal
% % Psychosis)
% sim_Learner(u,'m_3rdlevel',2);



